summaryrefslogtreecommitdiffstats
path: root/source/n/network-scripts/network-scripts.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/network-scripts/network-scripts.SlackBuild')
-rwxr-xr-xsource/n/network-scripts/network-scripts.SlackBuild16
1 files changed, 14 insertions, 2 deletions
diff --git a/source/n/network-scripts/network-scripts.SlackBuild b/source/n/network-scripts/network-scripts.SlackBuild
index 0476a7b8c..ea4bad779 100755
--- a/source/n/network-scripts/network-scripts.SlackBuild
+++ b/source/n/network-scripts/network-scripts.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=network-scripts
VERSION=${VERSION:-15.0}
ARCH=noarch
-BUILD=${BUILD:-16}
+BUILD=${BUILD:-17}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -84,6 +84,18 @@ mkdir -p $PKG/install
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+# Patch to fix rc.inet1.new for LXC:
+( cd $PKG
+ cat $CWD/0000-rc.inet1.new-lxc-additions.patch | patch -p1 --verbose || exit 1
+ rm -f etc/rc.d/rc.inet1.new.orig
+) || exit 1
+
+# Patch netconfig to fix leaving a previously enabled rc.networkmanager
+# executable even if networkmanager is no longer selected:
+( cd $PKG
+ cat $CWD/0001-netconfig-turn-off-rc.networkmanager-if-networkmanager-is-not-selected.patch | patch -p1 --verbose || exit 1
+ rm -f sbin/netconfig.orig
+)
+
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
-